/** 通用菜单 **/
.header-main-std {
	position: relative;
	z-index: 998;
}

.header-std-box {
	position: relative;
}

.header-std-area {
	display: flex;
	align-items: center;
	justify-content: space-between;
	width: var(--be-main-width);
	margin: 0 auto;
	padding: 0 10px;
}

.nav-extend .header-std-area {
	width: var(--be-nav-width);
}

.nav-full-width .header-std-area {
	width: var(--be-nav-98);
}

.header-std-message {
	width: 50%;
}

/** 搜索 **/
.header-top-search {
	width: 300px;
	min-width: 30px;
	background: transparent !important;
}

.header-top-search, 
.header-top-search .searchbar {
	float: right;
}

.header-top-search .searchbar button {
	background: var(--be-bg-glass-btn);
	-webkit-backdrop-filter: saturate(5) blur(20px);
	backdrop-filter: saturate(5) blur(20px);
	transform: translateZ(0);
	height: 37px;
	width: 37px;
}

.header-top-search .search-input input {
	width: 115px;
	margin: 0 -2px 0 0;
	border: none;
	border-right: none;
	transition: All 0.4s ease-in-out;
	-webkit-transition: All 0.4s ease-in-out;
	background: var(--be-bg-s-o);
	box-shadow: 0 0 0 1px var(--be-shadow);
}

.header-top-search .search-input input:focus {
	width: 260px;
}

.header-top-search .searchbar button {
	cursor: pointer;
	color: #fff;
}

/** 信息 **/
.header-std-contact {
	padding: 15px 0;
}

.header-std-contact img {
	max-width: 100%;
	height: auto;
	display: block;
	margin: 0 auto;
}

.header-std-bg {
	position: relative;
	position: absolute;
	top: 0px;
	left: 0px;
	width: 100%;
	height: 100%;
	z-index: -1;
}

.header-std-bg::after {
	position: absolute;
	top: 0;
	left: 0;
	content: '';
	width: 100%;
	height: 100%;
	background: var(--be-mask-std);
}

.site-description,
.header-std .logo-sites .site-name,
.header-std .logo-site .site-name {
	color: var(--be-logo-sdt);
}

.header-main-std .nav-theme-toggle {
	background: rgba(255, 255, 255, 0.3);
}

/** 顶部菜单 **/
.header-std .header-top {
	background: transparent;
}

.header-std .top-menu, 
.header-std .top-menu a, 
.header-std .header-top .show-layer,
.header-std .header-top .greet-top,
.header-std .header-top #user-profile .nav-reg a,
.header-std #user-profile .user-my, 
.header-std #user-profile .user-my a {
	color: var(--be-std-top-white);
}

.header-std .header-top::before {
	position: absolute;
	width: 100%;
	top: 0;
	left: 0;
	bottom: 0;
	content: '';
	background: var(--be-bg-grey-top-std);
	backdrop-filter: saturate(2) blur(10px);
	transform: translateZ(0);
}

/** 菜单样式 **/
.header-std .be-menu-main {
	background: var(--be-bg-nav-std);
}

.header-std .sf-arrows .sf-with-ul::after {
	color: var(--be-m-sdt-arrow);
}

.header-std .menu_c .main-nav .down-menu a {
	color: var(--be-m-sdt-a);
}

.header-std .menu_c #site-nav .down-menu>li>a:hover,
.header-std .menu_c #site-nav .down-menu>li.menu-item-has-children.behover>a,
.header-std .menu_c #site-nav .down-menu>.current-menu-item>a:hover,
.header-std .menu_c #site-nav .down-menu>.current-post-ancestor>a:hover,
.header-std .menu_c #site-nav .down-menu>.current-menu-item>a,
.header-std .menu_c #site-nav .down-menu>.current-post-ancestor>a {
	background: var(--be-nav-std-current);
	color: var(--be-m-sdt-a);
}

.header-std .heng,
.header-std .heng::before,
.header-std .heng::after {
	background: var(--be-m-sdt-a);
}

.header-std .menu-open .heng {
	background: transparent;
}

.header-std .header-std .search-choose-ico,
.header-std .menu-search-button {
	color: var(--be-m-sdt-a);
}

.header-std .nav-search::after {
	color: var(--be-m-sdt-a);
}

.std-fixed.std-pinned .std-menu-spacer {
	height: var(--std-menu-h, 0px);
}

/** 菜单固定 **/
.std-fixed.std-pinned .menu-std-fixed {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	z-index: 999;
	background: transparent;
}

.std-fixed.std-pinned .menu-std-fixed::before {
	content: '';
	position: absolute;
	width: 100%;
	top: 0;
	left: 0;
	bottom: 0;
	background: var(--be-glass-std);
	-webkit-backdrop-filter: saturate(5) blur(20px);
	backdrop-filter: saturate(5) blur(20px);
	transform: translateZ(0);
}

@media only screen and (max-width: 1250px) {

	.nav-extend .header-std-area,
	.nav-full-width .header-std-area {
		width: var(--be-nav-98);
	}
}

@media only screen and (max-width: 1025px) {
	.site-header-std {
		height: 45px;
	}

	.header-std-area {
		min-height: 0 !important;
	}

	.header-std-logo {
		position: absolute;
		top: 0;
		left: 50%;
		z-index: 9999;
		height: 45px;
		transform: translateX(-50%);
	}

	.std-fixed .header-std-logo {
		position: fixed;
	}

	.header-std-message {
		display: none;
	}
}